try: paraview.simple
except: from paraview.simple import *
paraview.simple._DisableFirstRenderCameraReset()

sm=servermanager
sm.Connect()

nbprocs = sm.ActiveConnection.GetNumberOfDataPartitions()
print ("RENDERING ON # %d cores: ")%(nbprocs)

U_pxz_y0_vtk = LegacyVTKReader(FileNames=['U_pxz_y0.vtk'] )

#RenderView1 = GetRenderView()
RenderView1 = sm.CreateRenderView()

#Calc = PythonCalculator()
#Calc.Expression = 'U'
Calc = Calculator()
Calc.Function = 'U_X'

DataRepresentation1 = Show(ProcessIdScalars(Calc),RenderView1)

RenderView1.StillRender()
RenderView1.WriteImage("bla.png","vtkPNGWriter",1)
